import { UmlType, EditorUmlType } from "./EditorUmlClass"
import { AnchorPoint } from "./AnchorPoint"
import { OrderedSet } from "immutable"
import { Point } from "./Point"


export type EditorUmlInheritance = {
    readonly id: string,
    readonly superTypeId: string,
    readonly subTypeId: string,
    readonly superTypeAnchorPoint: AnchorPoint,
    readonly subTypeAnchorPoint: AnchorPoint,
    readonly points: OrderedSet<Point>
}

